my $expected_version = "4.16195";
print("import: File::Util\n");
use File::Util;

if (defined File::Util->VERSION) {
	my $given_version = File::Util->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . File::Util->VERSION . '
');

}
print("import: File::Util::Definitions\n");
use File::Util::Definitions;

if (defined File::Util::Definitions->VERSION) {
	my $given_version = File::Util::Definitions->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . File::Util::Definitions->VERSION . '
');

}
print("import: File::Util::Exception\n");
use File::Util::Exception;

if (defined File::Util::Exception->VERSION) {
	my $given_version = File::Util::Exception->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . File::Util::Exception->VERSION . '
');

}
print("import: File::Util::Exception::Diagnostic\n");
use File::Util::Exception::Diagnostic;

if (defined File::Util::Exception::Diagnostic->VERSION) {
	my $given_version = File::Util::Exception::Diagnostic->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . File::Util::Exception::Diagnostic->VERSION . '
');

}
print("import: File::Util::Exception::Standard\n");
use File::Util::Exception::Standard;

if (defined File::Util::Exception::Standard->VERSION) {
	my $given_version = File::Util::Exception::Standard->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . File::Util::Exception::Standard->VERSION . '
');

}
print("import: File::Util::Interface::Classic\n");
use File::Util::Interface::Classic;

if (defined File::Util::Interface::Classic->VERSION) {
	my $given_version = File::Util::Interface::Classic->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . File::Util::Interface::Classic->VERSION . '
');

}
print("import: File::Util::Interface::Modern\n");
use File::Util::Interface::Modern;

if (defined File::Util::Interface::Modern->VERSION) {
	my $given_version = File::Util::Interface::Modern->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . File::Util::Interface::Modern->VERSION . '
');

}
